Delete Sections in a Policy

DELETE /pcas/v3/policy/section/control/

With this API, you can delete a control within a section of a compliance policy.

Input ParametersInput Parameters

Parameter

Required/Optional

Data Type

Description

policyId={value} Required Integer Enter the ID of the policy from which you want to delete a control within a section.
sectionNumber={value} Required Integer Enter the section number for which you want to remove a control.
controlId={value} Required Integer Enter the ID of the control that needs to be removed from a particular section of the policy.

Sample - Delete a control within a specified section of the policySample - Delete a control within a specified section of the policy

API Request

curl -X 'DELETE' \'<qualys_base_url>/pcas/v3/policy/section/control?policyId=<PolicyID>&sectionNumber=<SectionNumber>&controlId=<ControlID>' 
\ -H 'accept: */*' 
\ -H 'Authorization: Bearer <Auth Token>'

XML Output

204


 

 

 

success Thank you! We're glad to hear that this topic was useful.
success We appreciate your feedback. We'll work to make this topic better for you in the future.